Bug 1294498 - [RFE] Engine should warn admin about incompatible hypervisor version when changing DC/Cluster compatibility mode [NEEDINFO]
[RFE] Engine should warn admin about incompatible hypervisor version when cha...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs (Show other bugs)
unspecified
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Scott Herold
Gil Klein
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-28 09:07 EST by Igor Netkachev
Modified: 2016-02-08 07:35 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-08 07:35:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ykaul: needinfo? (inetkach)
oourfali: needinfo? (inetkach)


Attachments (Terms of Use)

  None (edit)
Description Igor Netkachev 2015-12-28 09:07:25 EST
Description of problem:

Today I've got a case from customer who was using RHEV-M 3.4 and RHEL/RHEV 6.5 hypervisors , after upgrading Manager to 3.5 and changing compatibility mode to 3.5 for both Datacenter and Cluster customer was unable to activate the hypervisors anymore until he upgraded them too as per https://access.redhat.com/solutions/463903

Shouldn't RHEV Manager warn the customer at the stage where he's trying to change compatibility mode that Datacenter/Cluster contains hypervisor which are not compatible with the mode being set? This would help to prevent the issues like in the case that I had.

Please let me know if that's possible and makes any sense in your opinion.


--
Kind Regards,
Igor Netkachev
Technical Support Engineer
Red Hat Global Support Services
Comment 2 Oved Ourfali 2016-01-10 08:09:42 EST
Before allowing you to change a cluster level, we do check that all hosts are compatible with this cluster level. What was the exact versions of engine+VDSM the customer worked with?
In case of node, what was the image version?

Note You need to log in before you can comment on or make changes to this bug.